CREATE TABLE inv_flex_context (
    ORGANIZATION_ID                  NUMBER(18, 0) ,
    DESCRIPTIVE_FLEXFIELD_NAME       VARCHAR2(160) ,
    CONTEXT_COLUMN_NAME              VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    CATEGORY_SET_ID                  NUMBER(18, 0) ,
    DESCRIPTIVE_FLEX_CONTEXT_CODE    VARCHAR2(120)     NOT NULL,
    CONTEXT_COLUMN_VALUE_ID          NUMBER(18, 0) ,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    REQUEST_ID                       NUMBER(18, 0) ,
    JOB_DEFINITION_NAME              VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE           VARCHAR2(3600),
    ORGANIZATION_ID                  NUMBER(18, 0) ,
    DESCRIPTIVE_FLEXFIELD_NAME       VARCHAR2(160) ,
    CONTEXT_COLUMN_NAME              VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    CATEGORY_SET_ID                  NUMBER(18, 0) ,
    DESCRIPTIVE_FLEX_CONTEXT_CODE    VARCHAR2(120)     NOT NULL,
    CONTEXT_COLUMN_VALUE_ID          NUMBER(18, 0) ,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    REQUEST_ID                       NUMBER(18, 0) ,
    JOB_DEFINITION_NAME              VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE           VARCHAR2(3600),
    CONSTRAINT pk_inv_flex_context PRIMARY KEY (ORGANIZATION_ID, DESCRIPTIVE_FLEXFIELD_NAME, CONTEXT_COLUMN_NAME, CONTEXT_COLUMN_VALUE_ID, ORGANIZATION_ID, DESCRIPTIVE_FLEXFIELD_NAME, CONTEXT_COLUMN_NAME, CONTEXT_COLUMN_VALUE_ID)
);
